Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.analysis
Interface ActiveOutFile

All Known Implementing Classes:
  ActiveOutFileImpl

public interface ActiveOutFile
extends MessageProbe, MessageProbeS

An object that actively updates its file stream when updated.. This is the file I/O equivalent of ActiveGraph: it takes an OutFile object, a target (datafeed) object, and a selector, which it uses to extract data from the object and send it to the file.

Method Summary
`double` | `getCurrentValue()` Returns the last probed value
`void` | `step()` The step method fires the probe, reads the value from the object, and sends the value to the file.

Methods inherited from interface swarm.objectbase.MessageProbe
`doubleDynamicCallOn, getArgCount, getArgName, getHideResult, getProbedMessage, isArgumentId, isResultId, longDynamicCallOn, objectDynamicCallOn, setArg$ToString, setArg$ToUnsigned, stringDynamicCallOn`

Methods inherited from interface swarm.objectbase.MessageProbeS
`setHideResult`

Methods inherited from interface swarm.objectbase.Probe
`clone, getProbedClass, getProbedType`

Methods inherited from interface swarm.objectbase.SwarmObject
`getCompleteProbeMap, getProbeForMessage, getProbeForVariable, getProbeMap`

Methods inherited from interface swarm.objectbase.ProbeConfig
`getObjectToNotify, setObjectToNotify`

Methods inherited from interface swarm.defobj.Drop
`drop`

Methods inherited from interface swarm.defobj.DefinedObject
`compare, describe, describeID, getDisplayName, getTypeName, getZone, perform, perform$with, perform$with$with, perform$with$with$with, respondsTo, setDisplayName, xfprint, xfprintid, xprint, xprintid`

Methods inherited from interface swarm.defobj.GetName
`getName`

Method Detail

### step

    public void step()

  The step method fires the probe, reads the value from the object, and sends the value to the file.

### getCurrentValue

    public double getCurrentValue()

  Returns the last probed value

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD